#ifndef SimHitStepsToCaloHitProcessor_h
#define SimHitStepsToCaloHitProcessor_h

#include "marlin/Processor.h"
#include "lcio.h"
#include <string>


using namespace lcio ;
using namespace marlin ;

#include "convertSimMCContributionsToHitCollection.h"

class SimHitStepsToCaloHitProcessor : public Processor
{
 public:
  virtual Processor*  newProcessor() { return new SimHitStepsToCaloHitProcessor ; }
  SimHitStepsToCaloHitProcessor();
  virtual void init() ; // initialize the processor, e.g. book histograms.
  virtual void processEvent( LCEvent * evt ) ; // Called for every event
 protected: //or private ?
  StringVec m_colNames{}; //Input collection names.
  std::string m_outputColName{}; //Output collection name
  bool m_CellID_ILDStyle{true};
  convertSimHitsStepToCaloHit m_converter{};
};

#endif
