#ifndef SimStepStudiesProcessor_h
#define SimStepStudiesProcessor_h

#include "marlin/Processor.h"
#include "lcio.h"
#include <string>


using namespace lcio ;
using namespace marlin ;



class SimStepStudiesProcessor : public Processor
{
 public:
  virtual Processor*  newProcessor() { return new SimStepStudiesProcessor ; }
  SimStepStudiesProcessor();
  virtual void init() ; // initialize the processor, e.g. book histograms.
  virtual void processEvent( LCEvent * evt ) ; // Called for every event
 protected: //or private ?
  StringVec m_colNames{}; //Input collection names.
  //std::string m_outputColName{}; //Output collection name
};

#endif
